//-----------------------------------------------------------------------------
//
// Title       : Tug of War - Top Level Design
// Design      : tugofwar
// Author      : cse
// Company     : uw
//
//-----------------------------------------------------------------------------
//
// File        : z:\CSE 370\my_designs\lab7\tugofwar\compile\top_level.v
// Generated   : Fri Nov  9 19:19:19 2007
// From        : z:\CSE 370\my_designs\lab7\tugofwar\src\top_level.bde
// By          : Bde2Verilog ver. 2.01
//
//-----------------------------------------------------------------------------
//
// Description : 
//
//-----------------------------------------------------------------------------

`ifdef _VCP
`else
`define library
`endif


// ---------- Design Unit Header ---------- //
`timescale 1ps / 1ps

module top_level (CLK,Left,RESET,Right,HEX1,HEX2,LEDs,Player1Score,Player2Score) ;

// ------------ Port declarations --------- //
input CLK;
wire CLK;
input Left;
wire Left;
input RESET;
wire RESET;
input Right;
wire Right;
output [6:0] HEX1;
wire [6:0] HEX1;
output [6:0] HEX2;
wire [6:0] HEX2;
output [16:0] LEDs;
wire [16:0] LEDs;
output [6:0] Player1Score;
wire [6:0] Player1Score;
output [6:0] Player2Score;
wire [6:0] Player2Score;

// ----------- Signal declarations -------- //
wire NET1680;
wire NET1684;
wire NET1731;
wire NET580;
wire NET611;
wire NET706;
wire [6:0] Out_H1;
wire [6:0] Out_H2;
wire [6:0] Out_P1;
wire [6:0] Out_P2;
wire [3:0] P1;
wire [3:0] P2;
wire [16:0] Position;

// -------- Component instantiations -------//

// synopsys translate_off
`library("P1Decoder","tugofwar")
// synopsys translate_on
hex_decoder P1Decoder
(
	.value_in(P1),
	.value_out(Out_P1)
);



// synopsys translate_off
`library("P1Pulse","tugofwar")
// synopsys translate_on
pulse_gen P1Pulse
(
	.CLK(CLK),
	.pulse(NET580),
	.signal(Right)
);



// synopsys translate_off
`library("P1Score","tugofwar")
// synopsys translate_on
score P1Score
(
	.RESET(RESET),
	.Score(P1),
	.Scored(NET1731),
	.Win(NET1684),
	.clk(CLK)
);



// synopsys translate_off
`library("P2Decoder","tugofwar")
// synopsys translate_on
hex_decoder P2Decoder
(
	.value_in(P2),
	.value_out(Out_P2)
);



// synopsys translate_off
`library("P2Pulse","tugofwar")
// synopsys translate_on
pulse_gen P2Pulse
(
	.CLK(CLK),
	.pulse(NET611),
	.signal(Left)
);



// synopsys translate_off
`library("P2Score","tugofwar")
// synopsys translate_on
score P2Score
(
	.RESET(RESET),
	.Score(P2),
	.Scored(NET706),
	.Win(NET1680),
	.clk(CLK)
);



// synopsys translate_off
`library("TugofWar","tugofwar")
// synopsys translate_on
tugofwar TugofWar
(
	.CLK(CLK),
	.HEX1(Out_H1),
	.HEX2(Out_H2),
	.LEDs(Position),
	.P1Win(NET1684),
	.P2Win(NET1680),
	.Player1(NET580),
	.Player1Scores(NET1731),
	.Player2(NET611),
	.Player2Scores(NET706),
	.RESET(RESET)
);



// ----------- Terminals assignment --------//
//		   ---- Output terminals ---        //
assign HEX1[6:0] = Out_H1[6:0];
assign HEX2[6:0] = Out_H2[6:0];
assign LEDs[16:0] = Position[16:0];
assign Player1Score[6:0] = Out_P1[6:0];
assign Player2Score[6:0] = Out_P2[6:0];

endmodule 
