/* Hex Decoder Module =>
input [3:0] value_in: This is a 4 bit input you pass in. 
output [6:0] value_out: This is the 7 bit output passed out to the hex display.
*/
module hex_decoder (input [3:0] value_in, output reg [6:0] value_out);
	always @(value_in) begin
		case (value_in)
			0:	value_out = 7'b1000000;
			1:	value_out = 7'b1111001;
			2:	value_out = 7'b0100100;
			3:	value_out = 7'b0110000;
			4:	value_out = 7'b0011001;
			5:	value_out = 7'b0010010;
			6:	value_out = 7'b0000010;
			7:	value_out = 7'b1111000;
			8:	value_out = 7'b0000000;
			9:	value_out = 7'b0011000;
			10:	value_out = 7'b0001000;
			11: value_out = 7'b0000011;
			12: value_out = 7'b1000110;
			13: value_out = 7'b0100001;
			14: value_out = 7'b0000110;
			15: value_out = 7'b0001110;	  
			default: value_out = 7'bxxxxxxx;
		endcase
	end
endmodule